Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.model
Class DefaultColorSelectionModel

    java.lang.Object
      echopointng.model.DefaultColorSelectionModel

All Implemented Interfaces:
  ColorSelectionModel

    public class DefaultColorSelectionModel

extends java.lang.Object
implements ColorSelectionModel

A default implementation of `ColorSelectionModel`

Field Summary
`protected EventListenerList` | `listenerList`

Constructor Summary
`DefaultColorSelectionModel()`

Method Summary
`void` | `addListener(ChangeListener listener)` Adds listener as a listener to changes in the model.
`Color` | `getSelectedColor()`
`void` | `removeListener(ChangeListener listener)` Removes listener as a listener to changes in the model.
`void` | `setSelectedColor(Color newValue)` Sets the model's selected color newValue.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listenerList

    protected EventListenerList listenerList

Constructor Detail

### DefaultColorSelectionModel

    public DefaultColorSelectionModel()

Method Detail

### addListener

    public void addListener(ChangeListener listener)

  Description copied from interface: `ColorSelectionModel`
  Adds listener as a listener to changes in the model.

  Specified by:
    `addListener` in interface `ColorSelectionModel`
  Parameters:
    `listener` - - the `ChangeListener` to add
  See Also:
    `ColorSelectionModel.addListener(nextapp.echo2.app.event.ChangeListener)`

### getSelectedColor

    public Color getSelectedColor()

  Specified by:
    `getSelectedColor` in interface `ColorSelectionModel`
  Returns:
    the model's selected color
  See Also:
    `ColorSelectionModel.getSelectedColor()`

### removeListener

    public void removeListener(ChangeListener listener)

  Description copied from interface: `ColorSelectionModel`
  Removes listener as a listener to changes in the model.

  Specified by:
    `removeListener` in interface `ColorSelectionModel`
  Parameters:
    `listener` - - the ChangeListener to remove
  See Also:
    `ColorSelectionModel.removeListener(nextapp.echo2.app.event.ChangeListener)`

### setSelectedColor

    public void setSelectedColor(Color newValue)

  Description copied from interface: `ColorSelectionModel`
  Sets the model's selected color newValue. Notifies any listeners if the model changes

  Specified by:
    `setSelectedColor` in interface `ColorSelectionModel`
  Parameters:
    `newValue` - - the new color selection
  See Also:
    `ColorSelectionModel.setSelectedColor(nextapp.echo2.app.Color)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD